package com.kakao.sdk.flutter

object Constants {
    const val METHOD_CHANNEL = "kakao_flutter_sdk_method_channel"
    const val EVENT_CHANNEL = "kakao_flutter_sdk_event_channel"

    const val SCHEME = "https"
    const val META_APP_KEY = "com.kakao.sdk.AppKey"

    const val SDK = "sdk"
    const val OS = "os"
    const val LANG = "lang"
    const val ORIGIN = "origin"
    const val DEVICE = "device"
    const val ANDROID_PKG = "android_pkg"
    const val APP_VER = "app_ver"
    const val KAKAO_AK = "KakaoAK"

    const val APP_KEY = "app_key"
    const val APP_PACKAGE = "appPkg"
    const val KA = "KA"
    const val APP_KEY_HASH = "keyHash"

    const val EXTRAS = "extras"

    const val KEY_HEADERS = "key.extra.headers"
    const val KEY_EXCEPTION = "key.exception"

    const val TALK_PACKAGE = "com.kakao.talk"
    const val EXTRA_APPLICATION_KEY = "com.kakao.sdk.talk.appKey"
    const val EXTRA_REDIRECT_URI = "com.kakao.sdk.talk.redirectUri"
    const val EXTRA_KA_HEADER = "com.kakao.sdk.talk.kaHeader"
    const val EXTRA_EXTRAPARAMS = "com.kakao.sdk.talk.extraparams"

    const val EXTRA_REDIRECT_URL = "com.kakao.sdk.talk.redirectUrl"
    const val EXTRA_ERROR_DESCRIPTION = "com.kakao.sdk.talk.error.description"
    const val EXTRA_ERROR_TYPE = "com.kakao.sdk.talk.error.type"

    const val CHANNEL_PUBLIC_ID = "channel_public_id"
    const val SERVICE_TERMS = "service_terms"
    const val APPROVAL_TYPE = "approval_type"
    const val PROMPT = "prompt"
    const val STATE = "state"
    const val NONCE = "nonce"
    const val SETTLE_ID = "settle_id"

    const val PARAM = "param"
    const val APIVER = "apiver"
    const val APPKEY = "appkey"
    const val APIVER_10 = "1.0"

//    const val NAVI_WEB_SCHEME = "https"
//    const val NAVI_HOST = "kakaonavi-wguide.kakao.com"
    const val CHANNEL_SCHEME = "kakaoplus://plusfriend"
    const val NAVI_SCHEME = "kakaonavi-sdk"
    const val NAVIGATE = "navigate"
    const val SHARE_POI = "sharePoi"

    const val CODE_CHALLENGE = "code_challenge"
    const val CODE_CHALLENGE_METHOD = "code_challenge_method"
    const val CODE_CHALLENGE_METHOD_VALUE = "S256"
    const val CODE_CHALLENGE_ALGORITHM = "SHA-256"

    const val KEY_CUSTOM_TABS_OPENED = "key.customtabs.opened"

    // SDK Internal Key
    const val REQUEST_KAKAO_LOGIN = 50001
    const val REQUEST_CUSTOM_TABS = 50003
    const val KEY_RETURN_URL = "key_return_url"
    const val KEY_ERROR_CODE = "key_error_code"
    const val KEY_ERROR_MESSAGE = "key_error_message"
    const val KEY_FULL_URI = "key_full_uri"
    const val KEY_REDIRECT_URL = "key_redirect_url"

    // Talk Login Key
    const val REQUEST_CODE = 50002
    const val KEY_SDK_VERSION = "key_sdk_version"
    const val KEY_CLIENT_ID = "key_client_Id"
    const val KEY_REDIRECT_URI = "key_redirect_uri"
    const val KEY_EXTRAS = "key_extras"
}
